> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get EndUser transaction data coverage

> Information about dates covered by any transaction data source



## OpenAPI

````yaml https://app.herondata.io/swagger get /api/end_users/{end_user_id_or_heron_id}/transaction_data_coverage
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/end_users/{end_user_id_or_heron_id}/transaction_data_coverage:
    get:
      tags:
        - EndUserCalculations
      summary: Get EndUser transaction data coverage
      description: Information about dates covered by any transaction data source
      parameters:
        - in: path
          name: end_user_id_or_heron_id
          required: true
          schema:
            type: string
        - in: query
          name: start_date
          required: true
          schema:
            format: date
            type: string
        - in: query
          name: end_date
          required: true
          schema:
            format: date
            type: string
        - in: query
          name: include_disabled_data_sources
          required: false
          schema:
            default: true
            type: boolean
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EndUserTransactionDataCoverageSchema'
          description: OK
      security:
        - ApiKeyAuth: []
components:
  schemas:
    EndUserTransactionDataCoverageSchema:
      properties:
        by_account:
          additionalProperties:
            items:
              $ref: '#/components/schemas/AccountTransactionDataCoverage'
            type: array
          type: object
        duplicate_data_source_accounts_by_account:
          additionalProperties:
            example:
              - dsa_VaxydRPYHxwEZQDo3nwVVT
            items:
              type: string
            type: array
          nullable: true
          type: object
        end_user_heron_id:
          type: string
        reconciliation_by_account:
          additionalProperties:
            $ref: '#/components/schemas/AccountDataSourcesReconciliation'
          type: object
      required:
        - by_account
        - end_user_heron_id
        - reconciliation_by_account
      type: object
    AccountTransactionDataCoverage:
      properties:
        account_number:
          type: string
        data_source_type:
          type: string
        ranges:
          items:
            $ref: '#/components/schemas/AccountTransactionDataCoverageRange'
          type: array
      required:
        - account_number
        - data_source_type
        - ranges
      type: object
    AccountDataSourcesReconciliation:
      properties:
        account_number:
          type: string
        ranges:
          items:
            $ref: '#/components/schemas/AccountDataSourceReconciliationRange'
          type: array
      required:
        - account_number
        - ranges
      type: object
    AccountTransactionDataCoverageRange:
      properties:
        data_source_account:
          allOf:
            - $ref: '#/components/schemas/DataSourceAccount'
          nullable: true
        end_date:
          format: date
          type: string
        has_coverage:
          type: boolean
        is_enabled:
          nullable: true
          type: boolean
        start_date:
          format: date
          type: string
      required:
        - end_date
        - has_coverage
        - start_date
      type: object
    AccountDataSourceReconciliationRange:
      properties:
        end_date:
          format: date
          type: string
        reconciliation_report_by_date:
          additionalProperties:
            items:
              $ref: '#/components/schemas/DataSourceAccountDateReconciliationMetrics'
            type: array
          type: object
        reconciliation_status:
          enum:
            - no_data
            - single_source
            - reconciled
            - unreconciled
          type: string
        start_date:
          format: date
          type: string
      required:
        - end_date
        - reconciliation_report_by_date
        - reconciliation_status
        - start_date
      type: object
    DataSourceAccount:
      properties:
        account_id:
          description: Unique account id associated with the data source account
          example: '202348'
          type: string
        anomaly_score:
          description: >-
            For pdf bank statement account sources, where the value is between 0
            and 1000, with 1000 being the most anomalous
          example: 200
          type: integer
        balances:
          description: List of balances associated with the account
          example:
            - closing_amount: 25000.45
              currency: USD
              date: '2022-01-01'
          items:
            $ref: '#/components/schemas/AccountBalance'
          type: array
        currency:
          description: Currency of the account
          example: USD
          type: string
        display_account_id:
          description: >-
            Human-readable account label for display: the last four digits of
            the account number (falling back to the account title). Not unique
            and not a key; use account_id to join.
          example: '7505'
          nullable: true
          type: string
        end_date:
          description: End date of the account
          example: '2022-01-31'
          format: date
          type: string
        heron_id:
          description: Unique ID for data source generated by Heron
          example: dso_kas67V2bqeaz72TBdyvkN4
          type: string
        institution_name:
          description: Name of the institution
          example: Chase
          type: string
        is_enabled:
          description: >-
            Whether or not the account is enabled. If disabled, hides related
            transactions from analytics
          example: true
          type: boolean
        max_date:
          description: Latest date of transactions associated with the data source account
          example: '2022-01-31'
          format: date
          type: string
        min_date:
          description: >-
            Earliest date of transactions associated with the data source
            account
          example: '2022-01-01'
          format: date
          type: string
        name:
          description: Name of the account
          example: Checking Account
          type: string
        num_transactions:
          description: Number of transactions associated with the data source account
          example: 120
          type: integer
        number:
          description: Number of the account
          example: '123456789'
          type: string
        owner_name:
          description: Name of the account owner
          example: John Doe
          type: string
        reference_id:
          description: This is the account ID provided as part of the transaction
          example: account-202348
          type: string
        start_date:
          description: Start date of the account
          example: '2022-01-01'
          format: date
          type: string
        transactions_match_balances:
          description: >-
            For pdf bank statements, represents whether all transactions
            extracted match the balances extracted
          example: true
          type: boolean
        type:
          description: Type of the account
          example: Checking
          type: string
      required:
        - is_enabled
      type: object
    DataSourceAccountDateReconciliationMetrics:
      properties:
        data_source_account_heron_id:
          type: string
        date:
          format: date
          type: string
        metrics:
          items:
            $ref: '#/components/schemas/DataSourceAccountReconciliationMetric'
          type: array
      required:
        - data_source_account_heron_id
        - date
        - metrics
      type: object
    AccountBalance:
      properties:
        closing_amount:
          allOf:
            - $ref: '#/components/schemas/Money'
          description: The closing balance for the day
          example: 25000.45
        currency:
          description: Currency of the balance
          example: USD
          type: string
        date:
          description: Date of the balance
          example: '2022-01-01'
          format: date
          type: string
      required:
        - closing_amount
      type: object
    DataSourceAccountReconciliationMetric:
      properties:
        category_label:
          type: string
        metric:
          type: string
        value:
          $ref: '#/components/schemas/Money'
      required:
        - category_label
        - metric
        - value
      type: object
    Money:
      properties:
        amount:
          description: The amount of money
          example: '1234.56'
          type: number
        currency:
          description: The currency of the money
          example: USD
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````